﻿using Ai.AgentServer.Server.Fuel;
using Newtonsoft.Json;
using System.Text;

namespace Ai.AgentServer.Server
{
    public class HttpServer: IHttpServer
    {
        public IHttpClientFactory _httpClientFactory;
        public HttpServer(IHttpClientFactory httpClientFactory)
        {
            _httpClientFactory=httpClientFactory;
        }


        /// <summary>
        ///  讯飞通讯
        /// </summary>
        /// <param name="url"></param>
        /// <returns></returns>
        public async Task<FuelReponse> SendCommon(FuelSendRequest request)
        {
            if (request == null||string.IsNullOrWhiteSpace(request.Type)) return new FuelReponse(5001, request);
            var client = _httpClientFactory.CreateClient("FuelClient");
            //配置文件读取
            client.BaseAddress =new Uri("http://211.91.71.15:8899");
            var requesStr = new StringContent(JsonConvert.SerializeObject(request), Encoding.UTF8, "application/json");
            try
            {
                var response = await client.PostAsync("/app-control-center/app/manualDrive", requesStr);
                if (response != null && response.IsSuccessStatusCode)
                {
                    Console.WriteLine("Success");
                    var fuelreponse = JsonConvert.DeserializeObject<FuelReponse>(await response.Content.ReadAsStringAsync());
                    return fuelreponse.SetID(request);
                }
              
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                return new FuelReponse(5001, request);
            }
            return new FuelReponse(5000, request);
        }
    }
}
